import request from '@/utils/request'

// 查询设备调试信息列表
export function listDebugging(query) {
  return request({
    url: '/dms/debugging/list',
    method: 'get',
    params: query
  })
}

// 查询设备调试信息详细
export function getDebugging(deviceDebuggingId) {
  return request({
    url: '/dms/debugging/' + deviceDebuggingId,
    method: 'get'
  })
}

// 新增设备调试信息
export function addDebugging(data) {
  return request({
    url: '/dms/debugging',
    method: 'post',
    data: data
  })
}

// 修改设备调试信息
export function updateDebugging(data) {
  return request({
    url: '/dms/debugging',
    method: 'put',
    data: data
  })
}

// 删除设备调试信息
export function delDebugging(deviceDebuggingId) {
  return request({
    url: '/dms/debugging/' + deviceDebuggingId,
    method: 'delete'
  })
}
